Std: Cofnij

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Std Undo and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎română • ‎русский • ‎한국어
FreeCAD.png
następny: Przywróć Std Redo.svg Arrow-right.svg

Std Undo.svg Std: Cofnij

Lokalizacja w menu
Edycja → Cofnij
Środowisko pracy
wszystkie
Domyślny skrót
Ctrl+Z
Wprowadzono w wersji
-
Zobacz także
Przywróć

Opis

Polecenie Cofnij cofa ostatnią czynność

Użycie

  1. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Std Undo.svg Cofnij.
    • Wybierz z menu opcję Edycja → Std Undo.svg Cofnij.
    • Użyj skrótu klawiaturowego: Ctrl + Z.

Opcje

  • Aby cofnąć wiele czynności, kliknij na małą czarną strzałkę w dół po prawej stronie przycisku Std Undo.svg Std Cofnij i wybierz odpowiednią pozycję z listy.

Ustawienia

  • Funkcję Cofnij / Ponów można wyłączyć, ustawiając parametr Przybory → Edycja parametrów... → BaseApp → Preferencje → Dokument → UżywanieUndo na wartość FAŁSZ, ale nie jest to zalecane. To ustawienie można również zmienić w Edytorze ustawień.
  • Maksymalna liczba kroków Cofnij / Ponów jest kontrolowana przez parametr Przybory → Edycja parametrów... → BaseApp → Preferencje → Dokument → MaxUndoSize. Ustawienie to można również zmienić w Edytorze ustawień.

Tworzenie skryptów

Zobacz również: FreeCAD podstawy tworzenia skryptów.

Aby cofnąć ostatnią czynność, należy użyć metody undo obiektu dokumentu.

import FreeCAD

FreeCAD.ActiveDocument.undo()

Gdy FreeCAD działa w trybie czysto konsolowym (CLI), mechanizm cofania / przywracania nie jest domyślnie włączony. Musi on być jawnie aktywowany dla każdego dokumentu.

import FreeCAD

FreeCAD.ActiveDocument.UndoMode = 1


FreeCAD.png
następny: Przywróć Std Redo.svg Arrow-right.svg